<?php

/**
 * JCH Optimize - Aggregate and minify external resources for optmized downloads
 * 
 * @author Samuel Marshall <sdmarshall73@gmail.com>
 * @copyright Copyright (c) 2010 Samuel Marshall
 * @license GNU/GPLv3, See LICENSE file
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */
class CodeAlfa_JchOptimize_Adminhtml_FilePermissionsController extends Mage_Adminhtml_Controller_Action
{

        public function indexAction()
        {
                $session = Mage::getSingleton('core/session');

                if (Mage::helper('jchoptimize')->fixFilePermissions())
                {
                        $session->addSuccess(Mage::helper('jchoptimize')->__('Chmod executed successfully on all files and folders!'));
                }
                else
                {
                        $session->addError(Mage::helper('jchoptimize')->__('Chmod failed'));
                }

                $this->_redirect('adminhtml/system_config/edit/section/jchoptimizeconfig');
        }

}
